implicit none 
double precision :: re
logical :: l1,l2


write(*,*)'donnez deux logical (T ou F)'
read *, l1,l2

write(*,*)'not l1', .not.l1
write(*,*)'or ', l1.or.l2
write(*,*)'and ', l1.and.l2
write(*,*)'equivalent ',l1.eqv.l2
write(*,*)'non equivalent ',l1.neqv.l2




end
